DROP TABLE IF EXISTS PERF_RECORDING_FILE;

CREATE TABLE PERF_RECORDING_FILE

(

  ID_RECORDING_FILE    BIGINT          NOT NULL AUTO_INCREMENT,

  FILE_NAME            VARCHAR(100)    NOT NULL,

  FILE_TYPE            VARCHAR(100)    NOT NULL, -- 'PRELUDIO' | 'REGBSM'

  S3_PATH              VARCHAR(1000)   NOT NULL,

  ULTIMA_LAVORAZIONE   DATETIME        NOT NULL DEFAULT CURRENT_TIMESTAMP,

  NUMERO_LAVORAZIONI   INT             NOT NULL,

  NUMERO_EVENTI        BIGINT,

  NUMERO_SCARTI        BIGINT,

  NUMERO_UTILIZZAZIONI BIGINT,

  ESITO_LAVORAZIONE    VARCHAR(100),

  ERRORE_LAVORAZIONE   TEXT,

  PRIMARY KEY (ID_RECORDING_FILE)

);



CREATE UNIQUE INDEX PERF_RECORDING_FILE_IDX_01

  ON PERF_RECORDING_FILE (FILE_NAME ASC, FILE_TYPE ASC);





DROP TABLE IF EXISTS PERF_RECORDING_RECORD;

CREATE TABLE PERF_RECORDING_RECORD

(

  ID_RECORDING_FILE          BIGINT        NOT NULL,

  ID_PROGRAMMA_MUSICALE      BIGINT        NOT NULL,

  NUMERO_PROGRAMMA_MUSICALE  VARCHAR(20)   ,

  PRIMARY KEY (ID_PROGRAMMA_MUSICALE)

);



CREATE UNIQUE INDEX PERF_RECORDING_RECORD_IDX_01

  ON PERF_RECORDING_RECORD (NUMERO_PROGRAMMA_MUSICALE ASC);





DROP TABLE IF EXISTS PERF_RECORDING_SCARTO;

CREATE TABLE PERF_RECORDING_SCARTO

(

  ID_RECORDING_SCARTO        BIGINT        NOT NULL AUTO_INCREMENT,

  ID_RECORDING_FILE          BIGINT        NOT NULL,

  ID_EVENTO                  VARCHAR(20)   ,

  DATA_INIZIO_EVENTO         VARCHAR(10)   ,

  CODICE_BA_LOCALE           VARCHAR(20)   ,

  VOCE_INCASSO               VARCHAR(20)   ,

  NUMERO_PROGRAMMA_MUSICALE  VARCHAR(20)   ,

  DATA_CARICAMENTO           DATETIME      NOT NULL DEFAULT CURRENT_TIMESTAMP,

  MOTIVO_SCARTO              TEXT          ,

  PRIMARY KEY (ID_RECORDING_SCARTO)

);





DROP TABLE IF EXISTS PERF_RECORDING_PM_ID;

CREATE TABLE PERF_RECORDING_PM_ID (ID BIGINT NOT NULL);

INSERT INTO PERF_RECORDING_PM_ID VALUES (98000000);

COMMIT;